Linksfield Developer
OverviewCube APIsTopup APIs
Old version
OverviewCube APIsTopup APIs
Old version
  1. Vshop
  • Mall Global Specification
  • Mall Business Flow
  • Mall API Signature Code Examples
  • APP Integration with Stripe SDK — Example Notes
  • Vshop
    • Card Login Verification
      POST
    • Get Available Data Plan Product List
      POST
    • Create User Order
      POST
    • Query Active and Pending Orders
      POST
    • Get Active Auto-Renewal
      POST
    • Cancel Auto-Renewal
      POST
    • Create User Order (Third-Party Payment)
      POST
  • Payment
    • Get Stripe Single Payment Authorization
      POST
    • Get Stripe Subscription Payment Authorization
      POST
    • Create Stripe Subscription / Auto-Renewal
      POST
    • Query Payment Result
      POST
    • Confirm Payment Result
      POST
  • Notification
    • Recharge Success Message Push
      POST
  • Bundle-groups
    • Add SIM Cards to a Specified Group
      POST
    • Remove SIM Cards from a Specified Group
      DELETE
    • Query SIM Card Numbers in a Specified Group
      GET
    • Query All Groups and Basic Data Plan Information
      GET
    • Retrieve Asynchronous Operation Result
      GET
  • Order
    • Query Order Details
      GET
  1. Vshop

Create User Order (Third-Party Payment)

Demo UAT
http://127.0.0.1
Demo UAT
http://127.0.0.1
POST
/synPartner/SynOrderInfo

Request

Header Params

Body Params application/json

Example
{
    "autoRenewal":"0",
    "deviceCode":"89852420180910340793",
    "languageCode":"",
    "mark":"0",
    "orderNo":"NO2023060915590562022",
    "orderPeriod":"1",
    "orgOrderId":"",
    "packageCode":"DP20190726001274",
    "partnerCode":"P000270",
    "payAccount":"1",
    "payAmount":"12.36",
    "payCurrency":"GBP",
    "payId":"P000000002022",
    "payResultDate":"2022-06-07 15:10:35",
    "payRst":"SUCCESS",
    "payStatus":"1",
    "payType":"3",
    "payUnit":"12.36",
    "requestOrderId":"",
    "servicePlanCode":"SP202111041459",
    "servicePlanShowName":"biaoqianweikong",
    "settlePrice":"12.36",
    "sign":"3eb94e979cf82d2d58a7aa57dc357cb4",
    "terminal":"1",
    "tradeTime":"1654585746965",
    "tradeType":"SynOrderInfo",
    "transactionId":"ch_3L7wXlLnVNBddzsl1phHDiSi",
    "version":"3.0"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1/synPartner/SynOrderInfo' \
--header 'Content-Type: application/json' \
--data '{
    "autoRenewal":"0",
    "deviceCode":"89852420180910340793",
    "languageCode":"",
    "mark":"0",
    "orderNo":"NO2023060915590562022",
    "orderPeriod":"1",
    "orgOrderId":"",
    "packageCode":"DP20190726001274",
    "partnerCode":"P000270",
    "payAccount":"1",
    "payAmount":"12.36",
    "payCurrency":"GBP",
    "payId":"P000000002022",
    "payResultDate":"2022-06-07 15:10:35",
    "payRst":"SUCCESS",
    "payStatus":"1",
    "payType":"3",
    "payUnit":"12.36",
    "requestOrderId":"",
    "servicePlanCode":"SP202111041459",
    "servicePlanShowName":"biaoqianweikong",
    "settlePrice":"12.36",
    "sign":"3eb94e979cf82d2d58a7aa57dc357cb4",
    "terminal":"1",
    "tradeTime":"1654585746965",
    "tradeType":"SynOrderInfo",
    "transactionId":"ch_3L7wXlLnVNBddzsl1phHDiSi",
    "version":"3.0"
}'

Responses

🟠400失败
application/json
Bodyapplication/json

Example
{
    "operateCode": "F",
    "message": "fail",
    "data": {
        "message": "调用订购接口失败",
        "data": "QY-0010122021051219085311000"
    }
}
🟢200成功
Modified at 2026-06-25 03:05:26
Previous
Cancel Auto-Renewal
Next
Get Stripe Single Payment Authorization
Built with